<script setup lang="ts">
import { ref, onMounted } from 'vue'

const currentTime = ref(getCurrentTime())

onMounted(() => {
  // Update time every second
  setInterval(() => {
    currentTime.value = getCurrentTime()
  }, 1000)
})

function getCurrentTime() {
  const now = new Date()
  const hours = now.getHours().toString().padStart(2, '0')
  const minutes = now.getMinutes().toString().padStart(2, '0')
  const seconds = now.getSeconds().toString().padStart(2, '0')

  return `${hours}:${minutes}:${seconds}`
}
</script>

<template>
  <div>
    {{ currentTime }}
  </div>
</template>

<style scoped>
div {
  font-family: 'Kanit';
}
</style>
